[Forgot Password]
Login  Register Subscribe

23631

 
 

126941

 
 

98250

 
 

909

 
 

79281

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2009-4307

Date: (C)2009-12-12   (M)2017-11-18 


The ext4_fill_flex_info function in fs/ext4/super.c in the Linux kernel before 2.6.32-git6 allows user-assisted remote attackers to cause a denial of service (divide-by-zero error and panic) via a malformed ext4 filesystem containing a super block with a large FLEX_BG group size (aka s_log_groups_per_flex value).

CVSS Score: 7.1Access Vector: NETWORK
Exploit Score: 8.6Access Complexity: MEDIUM
Impact Score: 6.9Authentication: NONE
 Confidentiality: NONE
 Integrity: NONE
 Availability: COMPLETE





Reference:
SECUNIA-37658
SECUNIA-38017
SECUNIA-38276
IAVM:2010-A-0001
MDVSA-2011:029
RHSA-2010:0380
SUSE-SA:2010:001
SUSE-SA:2010:005
http://lkml.org/lkml/2009/12/9/255
http://bugzilla.kernel.org/show_bug.cgi?id=14287
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=503358ae01b70ce6909d19dd01287093f6b6271c
http://www.kernel.org/pub/linux/kernel/v2.6/snapshots/patch-2.6.32-git6.log

CPE    331
cpe:/o:linux:linux_kernel:2.6.11.2
cpe:/o:linux:linux_kernel:2.6.11.3
cpe:/o:linux:linux_kernel:2.6.11.4
cpe:/o:linux:linux_kernel:2.6.11.5
...
CWE    1
CWE-189
OVAL    9
oval:org.secpod.oval:def:400025
oval:org.secpod.oval:def:400044
oval:org.secpod.oval:def:1600296
oval:org.secpod.oval:def:202487
...

© 2013 SecPod Technologies